package com.mortals.xhx.feign.area;

import com.mortals.xhx.feign.IFeign;
import com.mortals.xhx.feign.req.BaseUserQuery;
import com.mortals.xhx.feign.req.BaseUserReq;
import com.mortals.xhx.feign.rsp.ApiResp;
import com.mortals.xhx.feign.rsp.UserRsp;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 区域
 *
 * @author: zxfei
 * @date: 2022/5/30 10:40
 */
@FeignClient(name = "base-manager", path = "/zwfw")
public interface IApiAreaFeign extends IFeign {

    /**
     * 查看区域子信息
     *
     * @param parentId 0为顶级
     * @return
     */
    @GetMapping(value = "/area/getListByParentId")
    String getListByParentId(@RequestParam(value = "parentId") String parentId,
                             @RequestHeader(name = "Authorization",required = true) String token);

}

